Subject: Re: [hybi] Proposed Charter (rev.3) (W3C WebApps-Whatwg)

From: Salvatore Loreto <[email-masked]>
Date: Mon, 02 Nov 2009 17:09:08 +0200

hi Mike,

thanks for the clarification.
I hope we can make progress to find an agreement between IETF and W3C to 
work together on what we in HyBi have called
long term solution for bidirectional communication.

of course, as Julian has pointed out in a previous mail in the IETF 
process is also possible publish a RFC as standards track
without any wg supporting the proposal, all you need is to convince one 
of the Application Area Directors that this is a good idea.

However, having a WG supporting a proposal is important because the 
proposal is largely discussed among different
people with technical and implementation experiences in the Internet 
protocols so the protocol can only benefit from
the contribution and the discussion of a large community; moreover it 
also means more implementation and possible interoperability tests.

of course you have to recognize that it is a giving and taking process 
where the protocol specification is analysed from
all the different angles (client side: all the different type of client 
not only browser; intermediaries and servers)
so it is almost normal that the spec could find in some aspect to 
accommodate requirements that were not considered
in the first place.
However, a liaison between IETF and W3C/WhatWg would warranty that the 
protocol could eventually be
only slightly changed to support the new requirements, and only if they 
are compatible with the original ones (the W3C ones).

/Sal

Michael(tm) Smith wrote:
> Salvatore Loreto <[email-masked]>, 2009-10-30 10:35 +0200:
>
>   
>>  let me take this chance to ask people from W3C WebApps and Whatwg wgs
>>  if they agree on IETF taking on prime responsibility on the specification of 
>>  the WebSocket protocol,
>>  continuing of course to work together on the draft;
>>  and if they agree, if it clear for them how work get done within the IETF.
>>     
>
> It seems like we're making genuine progress in getting the
> protocol spec'ed within the IETF, and I think that's where
> everybody would ideally like to see it happen.
>
>   --Mike
>
> P.S. The only recent problem I can think of that we have run into
> around "prime responsibility" have been for the Origin spec, and
> that was because the response was that there was no WG with IETF
> that wanted to take on the work, and if that continues to be the
> case, we'll need to look at taking that spec through the
> publication process in the WebApps WG instead.
>
>